package p.studio.compiler.source.tables;

import p.studio.compiler.source.identifiers.IntrinsicId;

public class IntrinsicTable extends InternTable<IntrinsicId, IntrinsicReference> implements IntrinsicTableReader {

    public IntrinsicTable() {
        super(IntrinsicId::new);
    }

    public IntrinsicId register(
            final String canonicalName,
            final long canonicalVersion) {
        return register(new IntrinsicReference(canonicalName, canonicalVersion));
    }
}
